/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 * Click nbfs://nbhost/SystemFileSystem/Templates/GUIForms/JInternalFrame.java to edit this template
 */
package view;
import controller.CPengembalian;
import model.MPengembalian;
import javax.swing.JOptionPane;

/**
 *
 * @author ASUS
 */
public class JInternalFramePengembalian extends javax.swing.JInternalFrame {
    CPengembalian x = new CPengembalian();

    /**
     * Creates new form JInternalFramePengembalian
     */
    public JInternalFramePengembalian() {
        initComponents();
    }

    /**
     * This method is called from within the constructor to initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is always
     * regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        jLabel1 = new javax.swing.JLabel();
        jLabel2 = new javax.swing.JLabel();
        jLabel3 = new javax.swing.JLabel();
        jButtonAddPengembalian = new javax.swing.JButton();
        jButtonEditPengembalian = new javax.swing.JButton();
        jButtonDeletePengembalian = new javax.swing.JButton();
        jButtonLoadPengembalian = new javax.swing.JButton();
        jTextFieldPengembali = new javax.swing.JTextField();
        jTextFieldPenjaga = new javax.swing.JTextField();
        jLabel4 = new javax.swing.JLabel();
        jTextFieldKodePeminjaman = new javax.swing.JTextField();
        jScrollPane2 = new javax.swing.JScrollPane();
        jTablePengembalian = new javax.swing.JTable();

        setClosable(true);
        setDefaultCloseOperation(javax.swing.WindowConstants.HIDE_ON_CLOSE);
        setIconifiable(true);

        jLabel1.setText("Pengembali");

        jLabel2.setText("Penjaga");

        jLabel3.setText("Kode Peminjaman");

        jButtonAddPengembalian.setText("ADD");
        jButtonAddPengembalian.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButtonAddPengembalianActionPerformed(evt);
            }
        });

        jButtonEditPengembalian.setText("EDIT");
        jButtonEditPengembalian.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButtonEditPengembalianActionPerformed(evt);
            }
        });

        jButtonDeletePengembalian.setText("DELETE");
        jButtonDeletePengembalian.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButtonDeletePengembalianActionPerformed(evt);
            }
        });

        jButtonLoadPengembalian.setText("LOAD");
        jButtonLoadPengembalian.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButtonLoadPengembalianActionPerformed(evt);
            }
        });

        jTextFieldPengembali.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jTextFieldPengembaliActionPerformed(evt);
            }
        });

        jTextFieldPenjaga.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jTextFieldPenjagaActionPerformed(evt);
            }
        });

        jLabel4.setText("PENGEMBALIAN");

        jTextFieldKodePeminjaman.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jTextFieldKodePeminjamanActionPerformed(evt);
            }
        });

        jTablePengembalian.setModel(new javax.swing.table.DefaultTableModel(
            new Object [][] {
                {null, null, null, null},
                {null, null, null, null},
                {null, null, null, null},
                {null, null, null, null}
            },
            new String [] {
                "Title 1", "Title 2", "Title 3", "Title 4"
            }
        ));
        jScrollPane2.setViewportView(jTablePengembalian);

        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addGap(57, 57, 57)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(layout.createSequentialGroup()
                        .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addComponent(jLabel1)
                            .addComponent(jLabel2)
                            .addComponent(jLabel3))
                        .addGap(22, 22, 22)
                        .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING)
                            .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING, false)
                                .addComponent(jTextFieldPengembali, javax.swing.GroupLayout.DEFAULT_SIZE, 150, Short.MAX_VALUE)
                                .addComponent(jTextFieldPenjaga))
                            .addComponent(jTextFieldKodePeminjaman, javax.swing.GroupLayout.PREFERRED_SIZE, 150, javax.swing.GroupLayout.PREFERRED_SIZE)))
                    .addGroup(layout.createSequentialGroup()
                        .addComponent(jButtonAddPengembalian)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jButtonEditPengembalian)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jButtonDeletePengembalian)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, 63, Short.MAX_VALUE)
                        .addComponent(jButtonLoadPengembalian)))
                .addContainerGap())
            .addComponent(jScrollPane2, javax.swing.GroupLayout.Alignment.TRAILING, javax.swing.GroupLayout.PREFERRED_SIZE, 0, Short.MAX_VALUE)
            .addGroup(layout.createSequentialGroup()
                .addGap(156, 156, 156)
                .addComponent(jLabel4)
                .addContainerGap(javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addGap(24, 24, 24)
                .addComponent(jLabel4)
                .addGap(18, 18, 18)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING)
                    .addComponent(jLabel1)
                    .addComponent(jTextFieldPengembali, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addGap(18, 18, 18)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jLabel2)
                    .addComponent(jTextFieldPenjaga, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addGap(21, 21, 21)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(jTextFieldKodePeminjaman, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(jLabel3))
                .addGap(20, 20, 20)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jButtonAddPengembalian)
                    .addComponent(jButtonEditPengembalian)
                    .addComponent(jButtonDeletePengembalian)
                    .addComponent(jButtonLoadPengembalian))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                .addComponent(jScrollPane2, javax.swing.GroupLayout.PREFERRED_SIZE, 313, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addContainerGap())
        );

        pack();
    }// </editor-fold>//GEN-END:initComponents

    private void jTextFieldPengembaliActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jTextFieldPengembaliActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_jTextFieldPengembaliActionPerformed

    private void jTextFieldKodePeminjamanActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jTextFieldKodePeminjamanActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_jTextFieldKodePeminjamanActionPerformed

    private void jButtonAddPengembalianActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButtonAddPengembalianActionPerformed
        // TODO add your handling code here:
        MPengembalian pengembalian = new MPengembalian(jTextFieldPengembali.getText(),jTextFieldPenjaga.getText(), 
                jTextFieldKodePeminjaman.getText());
        x.addPengembalian(pengembalian);
        jTablePengembalian.setModel(x.refresh());
    }//GEN-LAST:event_jButtonAddPengembalianActionPerformed

    private void jButtonEditPengembalianActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButtonEditPengembalianActionPerformed
        // TODO add your handling code here:
        int index = jTablePengembalian.getSelectedRow();
        MPengembalian pengembalian = x.getList().get(index);
        pengembalian.pengembali = jTextFieldPengembali.getText();
        pengembalian.penjaga = jTextFieldPenjaga.getText();
        pengembalian.kodePeminjaman = jTextFieldKodePeminjaman.getText();
        x.editPengembalian(index, pengembalian);
        jTablePengembalian.setModel(x.refresh());
    }//GEN-LAST:event_jButtonEditPengembalianActionPerformed

    private void jButtonDeletePengembalianActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButtonDeletePengembalianActionPerformed
        // TODO add your handling code here:
        int index = jTablePengembalian.getSelectedRow();
        x.deletePengembalian(index);
        jTablePengembalian.setModel(x.refresh());
    }//GEN-LAST:event_jButtonDeletePengembalianActionPerformed

    private void jButtonLoadPengembalianActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButtonLoadPengembalianActionPerformed
        // TODO add your handling code here:
        x.readFile();
        jTablePengembalian.setModel(x.refresh());
    }//GEN-LAST:event_jButtonLoadPengembalianActionPerformed
    
    private void jTablePengembalianMouseClicked(java.awt.event.MouseEvent evt) {                                        
        // TODO add your handling code here:
        int index = jTablePengembalian.getSelectedRow();
        MPengembalian pengembalian = x.getList().get(index);
        jTextFieldPengembali.setText(pengembalian.pengembali);
        jTextFieldPenjaga.setText(pengembalian.penjaga);
        jTextFieldKodePeminjaman.setText(pengembalian.kodePeminjaman);
        
    }  
    private void jTextFieldPenjagaActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jTextFieldPenjagaActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_jTextFieldPenjagaActionPerformed


    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JButton jButtonAddPengembalian;
    private javax.swing.JButton jButtonDeletePengembalian;
    private javax.swing.JButton jButtonEditPengembalian;
    private javax.swing.JButton jButtonLoadPengembalian;
    private javax.swing.JLabel jLabel1;
    private javax.swing.JLabel jLabel2;
    private javax.swing.JLabel jLabel3;
    private javax.swing.JLabel jLabel4;
    private javax.swing.JScrollPane jScrollPane2;
    private javax.swing.JTable jTablePengembalian;
    private javax.swing.JTextField jTextFieldKodePeminjaman;
    private javax.swing.JTextField jTextFieldPengembali;
    private javax.swing.JTextField jTextFieldPenjaga;
    // End of variables declaration//GEN-END:variables
}
